# roblox-studio-linux

A collection of Bash scripts to manage the Roblox Studio installation on Linux

If looking for a GUI app, consider [Vinegar by Vinegar HQ](https://vinegarhq.org/Sober/Home/index.html).

## Dependencies

- [Wine](https://wiki.archlinux.org/title/Wine): a a compatibility layer allowing UNIX users to run Windows applications. Tested versions: `^wine-10.2`->`wine-10.2`

- (optional) [X11 Desktop Session](https://www.x.org/wiki/): From my experience, Roblox Studio's camera does not behave as expected when using Wayland.
  
 ## Motivation

A minimal dependency way, run-once-and-forget solution to installing Roblox Studio on Linux.

You should only need to run `install.sh` once, since that Roblox Studio auto-updates, and the `.desktop` created and placed under `~/.local/share/applications ` supports Roblox Studio schemes.

`launch.sh` is used to launch the latest Roblox Studio install.
